package com.ruoyi.system.service;

import com.ruoyi.system.domain.StoreInfo;

import java.util.List;


/**
 * 库位信息，记录周装货架存放库位信息Service接口
 * 
 * @author ruoyi
 * @date 2023-07-05
 */
public interface IStoreInfoService 
{
    /**
     * 查询库位信息，记录周装货架存放库位信息
     * 
     * @param id 库位信息，记录周装货架存放库位信息主键
     * @return 库位信息，记录周装货架存放库位信息
     */
    public StoreInfo selectStoreInfoById(Long id);

    /**
     * 查询库位信息，记录周装货架存放库位信息列表
     * 
     * @param storeInfo 库位信息，记录周装货架存放库位信息
     * @return 库位信息，记录周装货架存放库位信息集合
     */
    public List<StoreInfo> selectStoreInfoList(StoreInfo storeInfo);

    /**
     * 新增库位信息，记录周装货架存放库位信息
     * 
     * @param storeInfo 库位信息，记录周装货架存放库位信息
     * @return 结果
     */
    public int insertStoreInfo(StoreInfo storeInfo);

    /**
     * 修改库位信息，记录周装货架存放库位信息
     * 
     * @param storeInfo 库位信息，记录周装货架存放库位信息
     * @return 结果
     */
    public int updateStoreInfo(StoreInfo storeInfo);

    /**
     * 批量删除库位信息，记录周装货架存放库位信息
     * 
     * @param ids 需要删除的库位信息，记录周装货架存放库位信息主键集合
     * @return 结果
     */
    public int deleteStoreInfoByIds(Long[] ids);

    /**
     * 删除库位信息，记录周装货架存放库位信息信息
     * 
     * @param id 库位信息，记录周装货架存放库位信息主键
     * @return 结果
     */
    public int deleteStoreInfoById(Long id);
}
